unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, shellapi;

type
  TForm1 = class(TForm)
  Image9: TImage;
  Label6: TLabel;
  Label7: TLabel;
  Label1: TLabel;
    procedure FormCreate(Sender: TObject);
  procedure Label7Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

  TMyHintWindow = class(THintWindow)
  private
    ABitmap: TBitmap;
  protected
    procedure Paint; override;
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  HintWindowClass := TMyHintWindow;
  ShowHint := true;
  Hint := '    Une image dans une info-bulle..'
end;

constructor TMyHintWindow.Create(AOwner: TComponent);
begin
  inherited;
  ABitmap:= TBitmap.Create;
  try
    ABitmap.LoadFromFile('popo.bmp');
    ABitmap.Transparent := true;
  except
    FreeAndNil(ABitmap);
  end;
end;

destructor TMyHintWindow.Destroy;
begin
  ABitmap.Free;
  inherited;
end;

procedure TMyHintWindow.Paint;
var  DC: HDC;
     R: TRect;
begin

  if Assigned(ABitmap) then
     Canvas.Draw(1, 2, ABitmap);

  inherited;

  DC := GetWindowDC(Handle);
  try
    R := Rect(0, 0, Width, Height);
    DrawEdge(DC, R, EDGE_ETCHED , BF_RECT + BF_MONO);
  finally
    ReleaseDC(Handle, DC);
  end;

end;








procedure TForm1.Label7Click(Sender: TObject);
begin
shellexecute(0,'open', 'http://dev-zone.com/faq/delphi/fqdph_index.php', nil, nil, SW_SHOWMAXIMIZED);
end;
end.
